#ifndef SKTHEME_H
#define SKTHEME_H

#include <QObject>

class SKTheme : public QObject
{
    Q_OBJECT
public:
    static SKTheme *getGlobalTheme();
    void switchTheme(int nt);
    QString getCSSForWidget(QString wType);
signals:
    void widgetCSSChanged(QString wType);
public slots:
private:
    explicit SKTheme(QObject *parent = nullptr);
    static SKTheme *globalTheme;
    int m_themeId; //0-light, 1-dark
    QString getCSSForDockWidget();
    QString getCSSForMainWindow();

    QString getDeepBackgroundColor();
    QString getSurfBackgroundColor();
    QString getBorderColor();
    QString getForegroundColor();
    QString getHighlightedForegroundColor();

    QString getDockCloseIconN();
    QString getDockCloseIconH();
    QString getDockDetachIconN();
    QString getDockDetachIconH();
};

#endif // SKTHEME_H
